# Copyright (C) 2025 by Animath
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path

from .views import SurveyCreateView, SurveyDetailView, SurveyInviteView, \
    SurveyListView, SurveyRefreshCompletedView, SurveyUpdateView

app_name = "survey"

urlpatterns = [
    path("", SurveyListView.as_view(), name="survey_list"),
    path("create/", SurveyCreateView.as_view(), name="survey_create"),
    path("<int:pk>/", SurveyDetailView.as_view(), name="survey_detail"),
    path("<int:pk>/invite/", SurveyInviteView.as_view(), name="survey_invite"),
    path("<int:pk>/refresh/", SurveyRefreshCompletedView.as_view(), name="survey_refresh_completed"),
    path("<int:pk>/update/", SurveyUpdateView.as_view(), name="survey_update"),
]
